package com.yc.education.service.impl;

import com.yc.education.mapper.RecordMapper;
import com.yc.education.mapper.UserMapper;
import com.yc.education.model.Record;
import com.yc.education.model.User;
import com.yc.education.service.RecordService;
import com.yc.education.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName UserServiceImpl
 * @Description TODO
 * @Author QuZhangJing
 * @Date 2019/4/1 15:08
 * @Version 1.0
 */
@Service
public class RecordServiceImpl extends BaseService<Record> implements RecordService {

    @Autowired
    RecordMapper recordMapper;

    @Override
    public Record getRecordById(String uid) {
        return recordMapper.getRecordById(uid);
    }

    @Override
    public List<Record> getRecordAll() {
        return recordMapper.getRecordAll();
    }
}
