<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE HTML>
<html>
<head>
    <title id="pageTitle">法雷奥</title>
    <meta name="renderer" content="webkit"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="format-detection" content="telephone=no"/>
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    <meta name="apple-mobile-web-app-status-bar-style" content="black"/>
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0 user-scalable=no"/>
    <meta id="description" name="Description" content="法雷奥"/>
    <meta id="key" name="Keywords" content="法雷奥"/>
    <link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/static/css/common.css"/>
    <script language="javascript" type="text/javascript"
            src="${pageContext.request.contextPath}/static/js/jquery.min.js"></script>
    <script language="javascript" type="text/javascript"
            src="${pageContext.request.contextPath}/static/js/js.js"></script>
    <script>

        $(function () {

            $(".drawbck").click(function () {
                $(".mask").show();
            })
            $(".maskcol").click(function () {
                $(".mask").hide();
            })
            $(".maskbg").click(function () {
                $(".mask").hide();
            })
        })

    </script>
</head>
<body>
<div class="bodbg">
    <div class="topim"><img class="topimg" src="${pageContext.request.contextPath}/static/images/top.jpg" alt=""></div>
    <div class="draw">
        <img class="drawimg" src="${pageContext.request.contextPath}/static/images/draw.png" alt="">
        <div class="drawpab">
            <div class="drawtim"><p>活动时间：9月1日-10月31日</p></div>
            <p class="drawbck">抽奖规则</p>
        </div>
    </div>
    <div class="mianbt">
        <div class="mianrtg">
            <i class="icot01"><img src="${pageContext.request.contextPath}/static/images/icot01.png" alt=""></i>
            <div class="mianrinp">
                <form action="draw.html" method="post" id="form">
                    <p class="mianctx">您的法雷奥员工邮箱</p>
                    <p class="mianitx"><input name="uemil" placeholder="" type="text"><span
                            class="miancom"></span></p>
                    <p class="mianctx">您的手机号码</p>
                    <p class="mianipt"><input name="uphone" placeholder="" type="text"></p>
                    <p class="mianbck"><a class="mianbcktn" href="#"
                                          onclick="document.getElementById('form').submit();">下一步</a></p>
                </form>
            </div>
            <div class="mianrnote">
                <p><b>注意：</b></p>
                <p>1.法雷奥员工邮箱是您本次特卖和抽奖活动的唯一凭证，请务必准确填写；</p>
                <p>2. 您的手机号码即为话费充值号码</p>
            </div>
            <i class="icot01"><img src="${pageContext.request.contextPath}/static/images/icot01.png" alt=""></i>
        </div>
    </div>
</div>


<div class="mask">
    <div class="maskbg"></div>
    <div class="maskal">
        <div class="maskcol">×</div>
        <div class="maskalte">
            <p class="ruleim"><img class="ruleimg" src="${pageContext.request.contextPath}/static/images/ruleim.png"
                                   alt=""></p>
            <div class="masktxtdra">
                <ul class="icolit">
                    <li><i class="icolitim"></i>法雷奥员工关注“法雷奥汽车售后”微信号，在对话栏输入“员工内卖”即可参与抽奖活动</li>
                    <li><i class="icolitim"></i>输入法雷奥邮箱和手机号参与抽奖，每个法雷奥邮箱地址最多只可抽奖一次</li>
                    <li><i class="icolitim"></i>抽奖后会生成“法雷奥员工亲友内卖邀请券”，点击右上角保存或者直接截图</li>
                    <li><i class="icolitim"></i>进入法雷奥天猫旗舰店(http://valeo.tmall.com)联系在线客服，提供保存的“法雷奥员工亲友内卖邀请券”截图或者直接提供您的邮箱，即可享受员工优惠（具体购买流程请咨询法雷奥天猫旗舰店客服）
                    </li>
                    <li><i class="icolitim"></i>内卖订单确认后，联系法雷奥天猫旗舰店客服，按75折返现（全国包邮）</li>
                    <li><i class="icolitim"></i>11月第一周，我们会核对您的中奖及内卖订单，然后安排话费充值</li>
                </ul>
                <p>如对于本次抽奖活动或奖品兑现有任何疑问，可以通过“法雷奥汽车售后”微信号给我们留言或者发送邮件至 Lisa Gao (yajie.gao@valeo.com)</p>
                <p>&nbsp;</p>
                <p>备注：</p>
                <p>员工价为天猫旗舰店日常标价基础乘以折扣优惠</p>
                <p>员工内卖不与天猫旗舰店其他活动叠加</p>
                <p>微信抽奖活动时间：2017年9月1日-10月31日</p>
                <p>本次活动不包括国外及港澳台地区</p>
                <p>活动最终解释权归法雷奥售后中国所有</p>
            </div>
        </div>
    </div>
</div>


<!-- 代码部分end -->
</body>
</html>